# Uses of Interface
org.eclipse.emf.cdo.view.CDOObjectHandler

Packages that use CDOObjectHandler
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOObjectHandler in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOObjectHandler
Modifier and Type
Method
Description
`CDOObjectHandler[]`
CDOPushTransaction.`getObjectHandlers()`
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOObjectHandler
Modifier and Type
Method
Description
`void`
CDOPushTransaction.`addObjectHandler(CDOObjectHandler handler)`
`void`
CDOPushTransaction.`removeObjectHandler(CDOObjectHandler handler)`

## Uses of CDOObjectHandler in org.eclipse.emf.cdo.view

Classes in org.eclipse.emf.cdo.view that implement CDOObjectHandler
Modifier and Type
Class
Description
`static class`
`CDOStaleReferencePolicy.DynamicProxy.Enhanced`
A `dynamic proxy stale reference policy` with advanced `type` computation and caching.
Methods in org.eclipse.emf.cdo.view that return CDOObjectHandler
Modifier and Type
Method
Description
`CDOObjectHandler[]`
CDOView.`getObjectHandlers()`
Methods in org.eclipse.emf.cdo.view with parameters of type CDOObjectHandler
Modifier and Type
Method
Description
`void`
CDOView.`addObjectHandler(CDOObjectHandler handler)`
`void`
CDOView.`removeObjectHandler(CDOObjectHandler handler)`